[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# LoadLibrary

Load a dynamic library and return a handle to it.

## Declaration

Source position: dynlibh.inc line 50

`function LoadLibrary(`
`const Name: RawByteString`
`):TLibHandle; function LoadLibrary(`
`const Name: UnicodeString`
`):TLibHandle;`

## Description

LoadLibrary loads a dynamic library in file Name and returns a handle to it. If the library cannot be loaded, NilHandle is returned.

No assumptions should be made about the location of the loaded library if a relative pathname is specified. The behaviour is dependent on the platform. Therefore it is best to specify an absolute pathname if possible.

## Errors

On error, NilHandle is returned.

## See also

UnloadLibrary |  | Unload a previously loaded library
GetProcedureAddress |  | Get the address of a procedure or symbol in a dynamic library.